Raised This Month: $159 Target: $400
 39% 

[Linux] Source Query Proxy: DDoS Protection - Kernel redirection!


Post New Thread Reply   
 
Thread Tools Display Modes
spumer
Senior Member
Join Date: Aug 2011
Old 01-02-2021 , 06:56   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #71

@MAGNAT2645

If you use eBPF and setup script_path, then you should run application relative to that script_path

In your installation is where located './src-ebpf/redirect.py' or use absolute path to run from any folder

Then, i guess bpfcc-tools installed for python2, not for python3.7. This is why you see ModuleNotFoundError: No module named 'bcc'

TODO:
1. Change eBPF executable to python2
2. Use absolute path to redirect.py
__________________

Last edited by spumer; 01-02-2021 at 06:56.
spumer is offline
MAGNAT2645
Senior Member
Join Date: Nov 2015
Location: AlliedMods.net
Old 01-02-2021 , 07:21   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #72

So i changed eBPF configuration to
Code:
# Automatically run eBPF redirection
ebpf:
  # Download any release of SQProxy Kernel Module
  # And add path to `redirect.py`
  # https://github.com/spumer/source-query-proxy-kernel-module/releases
  enabled: True
  executable: 'python2'
  script_path: '/etc/sqproxy/conf.d/src-ebpf/redirect.py'
Now it says
Code:
2021-01-02 14:16:06,567 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/00-globals.yaml
2021-01-02 14:16:06,580 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/01-tf2.yaml
2021-01-02 14:16:06,582 [INFO] [sqproxy.config] Confdir not found: /conf.d
2021-01-02 14:16:06,740 [INFO] [sqproxy] eBPF redirection enabled
2021-01-02 14:16:06,740 [INFO] [sqproxy] Wait all proxies to be ready ...
2021-01-02 14:16:06,741 [INFO] [TF2Server] Binding ... 
2021-01-02 14:16:06,749 [INFO] [TF2Server] Binding ... done!
2021-01-02 14:16:06,749 [INFO] [TF2Server] Listen for client requests ...
2021-01-02 14:16:06,788 [INFO] [sqproxy] Wait all proxies to be ready ... Done!
2021-01-02 14:16:06,789 [WARNING] [source_query_proxy.epbf] Wide interface is not supported yet. '0.0.0.0' will be interpreted like 'default interface'
2021-01-02 14:16:06,789 [INFO] [source_query_proxy.epbf] Run ['python2', 'redirect.py', '-p', '27015:27915']
Traceback (most recent call last):
  File "redirect.py", line 13, in <module>
    from pyroute2 import IPRoute, protocols, IPDB
ImportError: No module named pyroute2
2021-01-02 14:16:06,899 [ERROR] [source_query_proxy.epbf] eBPF redirection exit with code 1
NoneType: None
Traceback (most recent call last):
  File "/usr/local/bin/sqproxy", line 11, in <module>
    sys.exit(sqproxy())
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/cli.py", line 14, in run
    run()
  File "/usr/local/lib/python3.7/dist-packages/pid/decorator.py", line 14, in decorator
    return func(*func_args, **func_kwargs)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/__main__.py", line 19, in run
    asyncio.run(_run_servers())
  File "/usr/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "uvloop/loop.pyx", line 1456, in uvloop.loop.Loop.run_until_complete
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/__main__.py", line 48, in _run_servers
    await asyncio.gather(*futures)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/epbf.py", line 86, in run_ebpf_redirection
    raise RuntimeError
RuntimeError
pyroute2 is installed for Python3 because python command refers to python 2
Code:
python --version
Python 2.7.17

python -m pip install pyroute2
/usr/bin/python: No module named pip
Code:
python3.7 -m pip list
DEPRECATION: The default format will switch to columns in the future. You can use --format=(legacy|columns) (or define a format=(legacy|columns) in your pip.conf under the[list] section) to disable this warning.
asn1crypto (0.24.0)
async-timeout (3.0.1)
asyncio-dgram (1.0.1)
backoff (1.10.0)
certifi (2020.4.5.2)
click (7.1.2)
cryptography (2.1.4)
idna (2.6)
keyring (10.6.0)
keyrings.alt (3.0)
netifaces (0.10.4)
pid (3.0.3)
pip (9.0.1)
pycrypto (2.6.1)
pydantic (1.5.1)
pygobject (3.26.1)
pylru (1.2.0)
pyroute2 (0.5.12)
python-dotenv (0.13.0)
pyxdg (0.25)
PyYAML (5.3.1)
SecretStorage (2.3.1)
sentry-sdk (0.14.4)
setuptools (39.0.1)
six (1.11.0)
source-query-proxy (1.4.0)
urllib3 (1.25.9)
uvloop (0.14.0)
wheel (0.30.0)
EDIT: Somehow installed pyroute2 for Python 2.7 (assuming that pip refers to python 2.7)
Code:
pip install pyroute2
Collecting pyroute2
  Downloading https://files.pythonhosted.org/.../pyroute2-0.5.14.tar.gz (873kB)
    100% |████████████████████████████████| 880kB 696kB/s 
Building wheels for collected packages: pyroute2
  Running setup.py bdist_wheel for pyroute2 ... done
  Stored in directory: /root/.cache/pip/wheels/...
Successfully built pyroute2
Installing collected packages: pyroute2
Successfully installed pyroute2-0.5.14
__________________

Last edited by MAGNAT2645; 01-02-2021 at 07:30.
MAGNAT2645 is offline
spumer
Senior Member
Join Date: Aug 2011
Old 01-02-2021 , 08:56   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #73

You solve it?
__________________
spumer is offline
MAGNAT2645
Senior Member
Join Date: Nov 2015
Location: AlliedMods.net
Old 01-02-2021 , 09:17   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #74

No, still throws an error:
Code:
2021-01-02 14:26:33,138 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/00-globals.yaml
2021-01-02 14:26:33,147 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/01-tf2.yaml
2021-01-02 14:26:33,152 [INFO] [sqproxy.config] Confdir not found: /conf.d
2021-01-02 14:26:33,311 [INFO] [sqproxy] eBPF redirection enabled
2021-01-02 14:26:33,311 [INFO] [sqproxy] Wait all proxies to be ready ...
2021-01-02 14:26:33,312 [INFO] [TF2Server] Binding ... 
2021-01-02 14:26:33,318 [INFO] [TF2Server] Binding ... done!
2021-01-02 14:26:33,318 [INFO] [TF2Server] Listen for client requests ...
2021-01-02 14:26:33,358 [INFO] [sqproxy] Wait all proxies to be ready ... Done!
2021-01-02 14:26:33,359 [WARNING] [source_query_proxy.epbf] Wide interface is not supported yet. '0.0.0.0' will be interpreted like 'default interface'
2021-01-02 14:26:33,359 [INFO] [source_query_proxy.epbf] Run ['python', 'redirect.py', '-p', '27015:27915']
Traceback (most recent call last):
  File "redirect.py", line 13, in <module>
    from pyroute2 import IPRoute, protocols, IPDB
ImportError: No module named pyroute2
2021-01-02 14:26:33,469 [ERROR] [source_query_proxy.epbf] eBPF redirection exit with code 1
NoneType: None
Traceback (most recent call last):
  File "/usr/local/bin/sqproxy", line 11, in <module>
    sys.exit(sqproxy())
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/cli.py", line 14, in run
    run()
  File "/usr/local/lib/python3.7/dist-packages/pid/decorator.py", line 14, in decorator
    return func(*func_args, **func_kwargs)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/__main__.py", line 19, in run
    asyncio.run(_run_servers())
  File "/usr/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "uvloop/loop.pyx", line 1456, in uvloop.loop.Loop.run_until_complete
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/__main__.py", line 48, in _run_servers
    await asyncio.gather(*futures)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/epbf.py", line 86, in run_ebpf_redirection
    raise RuntimeError
__________________
MAGNAT2645 is offline
spumer
Senior Member
Join Date: Aug 2011
Old 01-02-2021 , 09:40   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #75

You can check where pip command located by command: which pip

You need install pip for python2 (e.g.: apt-get install python-pip)
Then: python2 -m pip install pyroute2
__________________

Last edited by spumer; 01-02-2021 at 09:40.
spumer is offline
MAGNAT2645
Senior Member
Join Date: Nov 2015
Location: AlliedMods.net
Old 01-02-2021 , 09:55   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #76

Code:
which pip
/usr/bin/pip
Installed pyroute2 for python2

Code:
2021-01-02 16:53:20,965 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/00-globals.yaml
2021-01-02 16:53:20,975 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/01-tf2.yaml
2021-01-02 16:53:20,980 [INFO] [sqproxy.config] Confdir not found: /conf.d
2021-01-02 16:53:21,311 [INFO] [sqproxy] eBPF redirection enabled
2021-01-02 16:53:21,311 [INFO] [sqproxy] Wait all proxies to be ready ...
2021-01-02 16:53:21,313 [INFO] [TF2Server] Binding ... 
2021-01-02 16:53:21,322 [INFO] [TF2Server] Binding ... done!
2021-01-02 16:53:21,322 [INFO] [TF2Server] Listen for client requests ...
2021-01-02 16:53:21,336 [INFO] [sqproxy] Wait all proxies to be ready ... Done!
2021-01-02 16:53:21,336 [WARNING] [source_query_proxy.epbf] Wide interface is not supported yet. '0.0.0.0' will be interpreted like 'default interface'
2021-01-02 16:53:21,337 [INFO] [source_query_proxy.epbf] Run ['python', 'redirect.py', '-p', '27015:27915']
2021-01-02 16:53:21,929 [INFO] [main] Interface not provided
2021-01-02 16:53:21,929 [WARNING] [pyroute2.ipdb.main] Deprecation warning https://docs.pyroute2.org/ipdb_toc.html
2021-01-02 16:53:21,985 [INFO] [main] Use interface for default route: ens18
2021-01-02 16:53:21,987 [INFO] [main] Building eBPF program ...
Traceback (most recent call last):
  File "redirect.py", line 220, in <module>
    main(args.ports, args.interface)
  File "redirect.py", line 62, in main
    bpf = BPF(src_file="redirect.c", cflags=cflags, debug=0)
  File "/usr/lib/python2.7/dist-packages/bcc/__init__.py", line 291, in __init__
    src_file = BPF._find_file(src_file)
  File "/usr/lib/python2.7/dist-packages/bcc/__init__.py", line 214, in _find_file
    raise Exception("Could not find file %s" % filename)
Exception: Could not find file redirect.c
Error in atexit._run_exitfuncs:
Traceback (most recent call last):
  File "/usr/lib/python2.7/atexit.py", line 24, in _run_exitfuncs
    func(*targs, **kargs)
  File "/usr/lib/python2.7/dist-packages/bcc/__init__.py", line 1129, in cleanup
    if self.module:
AttributeError: 'BPF' object has no attribute 'module'
Error in sys.exitfunc:
Traceback (most recent call last):
  File "/usr/lib/python2.7/atexit.py", line 24, in _run_exitfuncs
    func(*targs, **kargs)
  File "/usr/lib/python2.7/dist-packages/bcc/__init__.py", line 1129, in cleanup
    if self.module:
AttributeError: 'BPF' object has no attribute 'module'
2021-01-02 16:53:22,028 [ERROR] [source_query_proxy.epbf] eBPF redirection exit with code None
NoneType: None
Traceback (most recent call last):
  File "/usr/local/bin/sqproxy", line 11, in <module>
    sys.exit(sqproxy())
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/cli.py", line 14, in run
    run()
  File "/usr/local/lib/python3.7/dist-packages/pid/decorator.py", line 14, in decorator
    return func(*func_args, **func_kwargs)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/__main__.py", line 19, in run
    asyncio.run(_run_servers())
  File "/usr/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "uvloop/loop.pyx", line 1456, in uvloop.loop.Loop.run_until_complete
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/__main__.py", line 48, in _run_servers
    await asyncio.gather(*futures)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/epbf.py", line 86, in run_ebpf_redirection
    raise RuntimeError
RuntimeError
__________________
MAGNAT2645 is offline
spumer
Senior Member
Join Date: Aug 2011
Old 01-02-2021 , 10:23   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #77

>Exception: Could not find file redirect.c

Looks like you don't copy all files from folder https://github.com/spumer/source-que...aster/src-ebpf

redirect.c, redirect.py, utils.h

All this files should be placed in the same folder
__________________

Last edited by spumer; 01-02-2021 at 10:24.
spumer is offline
MAGNAT2645
Senior Member
Join Date: Nov 2015
Location: AlliedMods.net
Old 01-02-2021 , 11:05   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #78

Oh, it seems to work now
Code:
2021-01-02 17:55:42,708 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/00-globals.yaml
2021-01-02 17:55:42,717 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/01-tf2.yaml
2021-01-02 17:55:42,720 [INFO] [sqproxy.config] Confdir not found: /conf.d
2021-01-02 17:55:42,900 [INFO] [sqproxy] eBPF redirection enabled
2021-01-02 17:55:42,900 [INFO] [sqproxy] Wait all proxies to be ready ...
2021-01-02 17:55:42,902 [INFO] [TF2Server] Binding ... 
2021-01-02 17:55:42,909 [INFO] [TF2Server] Binding ... done!
2021-01-02 17:55:42,909 [INFO] [TF2Server] Listen for client requests ...
2021-01-02 17:55:42,954 [INFO] [sqproxy] Wait all proxies to be ready ... Done!
2021-01-02 17:55:42,954 [WARNING] [source_query_proxy.epbf] Wide interface is not supported yet. '0.0.0.0' will be interpreted like 'default interface'
2021-01-02 17:55:42,954 [INFO] [source_query_proxy.epbf] Run ['python', 'redirect.py', '-p', '27015:27915']
2021-01-02 17:55:43,164 [INFO] [main] Interface not provided
2021-01-02 17:55:43,164 [WARNING] [pyroute2.ipdb.main] Deprecation warning https://docs.pyroute2.org/ipdb_toc.html
2021-01-02 17:55:43,223 [INFO] [main] Use interface for default route: ens18
2021-01-02 17:55:43,227 [INFO] [main] Building eBPF program ...
2021-01-02 17:55:51,462 [INFO] [main] Attach eBPF program to interface ...
2021-01-02 17:55:51,463 [DEBUG] [main] Setup incoming hook (2) (incoming)
2021-01-02 17:55:51,511 [DEBUG] [main] Setup outgoing hook (2) (outgoing)
2021-01-02 17:55:51,527 [INFO] [main] Running ...
So there's nothing after line Running...? (i mean it won't print anything after and all i can do is Ctrl+C to terminate process?)
Also is it normal that now there's no info about addons (i check it via Source Admin Tool)? I mean there's no "Addons" line anymore.
Also it seems that Rules List is smaller now (there's no any convars from plugins, only vac, version, appID, os and steamID64) and the list itself appears in SAT after some delay (i know this might be due to caching).
__________________

Last edited by MAGNAT2645; 01-02-2021 at 11:07.
MAGNAT2645 is offline
MAGNAT2645
Senior Member
Join Date: Nov 2015
Location: AlliedMods.net
Old 01-02-2021 , 11:15   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #79

Now the problem is that server seems to be invisible to SAT (also SourceBans etc.) so players are actually playing on server but server doesn't appear in Server Browser.

EDIT: Another strange thing, sqproxy stopped itself? I checked that sqproxy process isn't running and just run sqproxy run one more time and now SAT (and SourceBans page) is able to retrieve some A2S info.

EDIT 2: Added sqproxy to crontab:
Code:
*/5 * * * * /usr/local/bin/sqproxy run >> /home/tf2server/log/script/crontab.log 2>&1
and got this in logs:
Code:
2021-01-02 19:20:01,538 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/00-globals.yaml
2021-01-02 19:20:01,548 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/01-tf2.yaml
2021-01-02 19:20:01,552 [INFO] [sqproxy.config] Confdir not found: /root/conf.d
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/pid/base.py", line 198, in create
    self._flock(self.fh.fileno())
  File "/usr/local/lib/python3.7/dist-packages/pid/posix.py", line 22, in _flock
    fcntl.flock(self.fh.fileno(), fcntl.LOCK_EX | fcntl.LOCK_NB)
BlockingIOError: [Errno 11] Resource temporarily unavailable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/sqproxy", line 11, in <module>
    sys.exit(sqproxy())
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/local/lib/python3.7/dist-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/source_query_proxy/cli.py", line 14, in run
    run()
  File "/usr/local/lib/python3.7/dist-packages/pid/decorator.py", line 13, in decorator
    with PidFile(*pid_args, **pid_kwargs):
  File "/usr/local/lib/python3.7/dist-packages/pid/base.py", line 239, in __enter__
    self.create()
  File "/usr/local/lib/python3.7/dist-packages/pid/base.py", line 202, in create
    raise PidFileAlreadyLockedError(exc)
pid.base.PidFileAlreadyLockedError: [Errno 11] Resource temporarily unavailable
EDIT 3: Now crontab executed sqproxy without errors (weird...)
Code:
2021-01-02 19:35:02,105 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/00-globals.yaml
2021-01-02 19:35:02,120 [INFO] [sqproxy.config] Found config: /etc/sqproxy/conf.d/01-tf2.yaml
2021-01-02 19:35:02,124 [INFO] [sqproxy.config] Confdir not found: /root/conf.d
2021-01-02 19:35:02,340 [INFO] [sqproxy] eBPF redirection enabled
2021-01-02 19:35:02,341 [INFO] [sqproxy] Wait all proxies to be ready ...
2021-01-02 19:35:02,342 [INFO] [TF2Server] Binding ... 
2021-01-02 19:35:02,351 [INFO] [TF2Server] Binding ... done!
2021-01-02 19:35:02,352 [INFO] [TF2Server] Listen for client requests ...
2021-01-02 19:35:02,393 [INFO] [sqproxy] Wait all proxies to be ready ... Done!
2021-01-02 19:35:02,393 [WARNING] [source_query_proxy.epbf] Wide interface is not supported yet. '0.0.0.0' will be interpreted like 'default interface'
2021-01-02 19:35:02,394 [INFO] [source_query_proxy.epbf] Run ['python', 'redirect.py', '-p', '27015:27915']
2021-01-02 19:35:02,665 [INFO] [main] Interface not provided
2021-01-02 19:35:02,665 [WARNING] [pyroute2.ipdb.main] Deprecation warning https://docs.pyroute2.org/ipdb_toc.html
2021-01-02 19:35:02,739 [INFO] [main] Use interface for default route: ens18
2021-01-02 19:35:02,742 [INFO] [main] Building eBPF program ...
2021-01-02 19:35:07,636 [INFO] [main] Attach eBPF program to interface ...
2021-01-02 19:35:07,636 [DEBUG] [main] Setup incoming hook (2) (incoming)
2021-01-02 19:35:07,641 [DEBUG] [main] Setup outgoing hook (2) (outgoing)
2021-01-02 19:35:07,644 [INFO] [main] Running ...
But still i can't check sqproxy PID (it seems to be running and not running at the same time)
__________________

Last edited by MAGNAT2645; 01-02-2021 at 12:47.
MAGNAT2645 is offline
spumer
Senior Member
Join Date: Aug 2011
Old 01-02-2021 , 13:02   Re: [Linux] Source Query Proxy: DDoS Protection - Kernel redirection!
Reply With Quote #80

Quote:
Originally Posted by MAGNAT2645 View Post
Oh, it seems to work now

So there's nothing after line Running...? (i mean it won't print anything after and all i can do is Ctrl+C to terminate process?)
Also is it normal that now there's no info about addons (i check it via Source Admin Tool)? I mean there's no "Addons" line anymore.
Also it seems that Rules List is smaller now (there's no any convars from plugins, only vac, version, appID, os and steamID64) and the list itself appears in SAT after some delay (i know this might be due to caching).
"Running.." mean application is running. You should use screen or any other tools to run it in background.

I don't test it for TF2. Bugs can be appeared.

EDIT: sqproxy don't closed silently. You can log any errors to file by setting environment variable SQPROXY_ERROR_LOG=/path/to/file.log

EDIT2: you can disable A2S_RULES proxing, like for CS:GO: https://github.com/spumer/source-que...obals.yaml#L42
May be it helps to see whole rules

EDIT3: i plan to add some stats to sqproxy to show how much packets was processed to clarification purposes
__________________

Last edited by spumer; 01-02-2021 at 13:42.
spumer is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 04:29.


Powered by vBulletin®
Copyright ©2000 - 2021, vBulletin Solutions, Inc.
Theme made by Freecode